USN-3900-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3900-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3900-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3900-1
Related
Published
2019-02-28T14:08:30.443075Z
Modified
2019-02-28T14:08:30.443075Z
Summary
libgd2 vulnerabilities
Details

It was discovered that GD incorrectly handled memory when processing certain images. A remote attacker could use this issue with a specially crafted image file to cause GD to crash, resulting in a denial of service, or possibly execute arbitrary code.

References

Affected packages

Ubuntu:14.04:LTS / libgd2

Package

Name
libgd2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.0-3ubuntu0.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libgd2-xpm-dev": "2.1.0-3ubuntu0.11",
            "libgd-dev": "2.1.0-3ubuntu0.11",
            "libgd-tools": "2.1.0-3ubuntu0.11",
            "libgd3": "2.1.0-3ubuntu0.11",
            "libgd2-noxpm-dev": "2.1.0-3ubuntu0.11"
        }
    ]
}

Ubuntu:18.04:LTS / libgd2

Package

Name
libgd2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.2.5-4ubuntu0.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libgd-dev": "2.2.5-4ubuntu0.3",
            "libgd-tools": "2.2.5-4ubuntu0.3",
            "libgd3": "2.2.5-4ubuntu0.3"
        }
    ]
}

Ubuntu:16.04:LTS / libgd2

Package

Name
libgd2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.1-4ubuntu0.16.04.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libgd-dev": "2.1.1-4ubuntu0.16.04.11",
            "libgd-tools": "2.1.1-4ubuntu0.16.04.11",
            "libgd3": "2.1.1-4ubuntu0.16.04.11"
        }
    ]
}